import { createYoga, createSchema as createSchemaYoga } from 'graphql-yoga';
import { mergeTypeDefs, mergeResolvers } from '@graphql-tools/merge';
// eslint-disable-next-line @typescript-eslint/no-explicit-any
export function createSchema(modules) {
    const typeDefsMerged = mergeTypeDefs(modules.map((m) => m.typeDefs));
    const resolversMerged = mergeResolvers(modules.map((m) => m.resolvers));
    return createSchemaYoga({ typeDefs: typeDefsMerged, resolvers: resolversMerged });
}
export function createServer(schema, { endpoint = '/graphql' } = {}) {
    return createYoga({
        schema,
        graphqlEndpoint: endpoint,
        fetchAPI: { Response: globalThis.Response },
    });
}
//# sourceMappingURL=index.js.map